/*!
 	@file
 	@brief	入力ドライバの親 オブジェクト（プロシージャ で取得する Ver. )
 */

#ifndef CInputDriverWindowsMSG_h
#define CInputDriverWindowsMSG_h

#include"../../../../Setup/CompileMode.h"
#include"../../../../Setup/Win32.h"
#include"../../CInputDriver.h"


namespace Maid
{
	class CInputDriverWindowsMSG : public IInputDriver
	{
	public:
		CInputDriverWindowsMSG( HWND hWnd );
		virtual SPKEYBORDDRIVER		CreateKeybordDriver();
		virtual SPMOUSEDRIVER		CreateMouseDriver();
		virtual SPCHARCODEDRIVER	CreateCharCodeDriver();

	private:
		HWND	m_hWnd;
	};
}

#endif